#include <stdio.h>

int udda_check(int alla_talen_arr[], int antal_tal) {

  int antal = 0;
  int i = 0;
  for (i = 0; i < antal_tal; ++i) {
    if ((alla_talen_arr[i] % 2) == 1) {
      ++antal;
      printf("Udda tal = %d\n", alla_talen_arr[i]);
    }
  }
  return (antal);
}

int main() {
  int int_arr [] = { 6, 3, 98, 65, 321, 67, 90 };
  int antal_udda_tal = 0;

  //sizeof för att beräkna storleken på int_arr
  antal_udda_tal = udda_check(int_arr, (int)sizeof(int_arr)/sizeof(int_arr[0]));
  printf("Antal udda tal var %d\n", antal_udda_tal);
}
